summaryrefslogtreecommitdiff
path: root/poky/meta/recipes-graphics/mini-x-session
diff options
context:
space:
mode:
authorDave Cobbley <david.j.cobbley@linux.intel.com>2018-08-14 20:05:37 +0300
committerBrad Bishop <bradleyb@fuzziesquirrel.com>2018-08-23 04:26:31 +0300
commiteb8dc40360f0cfef56fb6947cc817a547d6d9bc6 (patch)
treede291a73dc37168da6370e2cf16c347d1eba9df8 /poky/meta/recipes-graphics/mini-x-session
parent9c3cf826d853102535ead04cebc2d6023eff3032 (diff)
downloadopenbmc-eb8dc40360f0cfef56fb6947cc817a547d6d9bc6.tar.xz
[Subtree] Removing import-layers directory
As part of the move to subtrees, need to bring all the import layers content to the top level. Change-Id: I4a163d10898cbc6e11c27f776f60e1a470049d8f Signed-off-by: Dave Cobbley <david.j.cobbley@linux.intel.com> Signed-off-by: Brad Bishop <bradleyb@fuzziesquirrel.com>
Diffstat (limited to 'poky/meta/recipes-graphics/mini-x-session')
-rw-r--r--poky/meta/recipes-graphics/mini-x-session/files/mini-x-session39
-rw-r--r--poky/meta/recipes-graphics/mini-x-session/mini-x-session_0.1.bb27
2 files changed, 66 insertions, 0 deletions
diff --git a/poky/meta/recipes-graphics/mini-x-session/files/mini-x-session b/poky/meta/recipes-graphics/mini-x-session/files/mini-x-session
new file mode 100644
index 000000000..dca655a91
--- /dev/null
+++ b/poky/meta/recipes-graphics/mini-x-session/files/mini-x-session
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# Very simple session manager for Mini X
+#
+
+# Uncomment below to enable parsing of debian menu entrys
+# export MB_USE_DEB_MENUS=1
+
+if [ -e $HOME/.mini_x/session ]
+then
+exec $HOME/.mini_x/session
+fi
+
+if [ -e /etc/mini_x/session ]
+then
+exec /etc/mini_x/session
+fi
+
+MINI_X_SESSION_DIR=/etc/mini_x/session.d
+if [ -d "$MINI_X_SESSION_DIR" ]; then
+ # Execute session file on behalf of file owner
+ find $MINI_X_SESSION_DIR -type f | while read SESSIONFILE; do
+ set +e
+ USERNAME=`stat -c %U $SESSIONFILE`
+ # Using su rather than sudo as latest 1.8.1 cause failure [YOCTO #1211]
+# su -l -c '$SESSIONFILE&' $USERNAME
+ sudo -b -i -u $USERNAME $SESSIONFILE&
+ set -e
+ done
+fi
+
+# This resolution is big enough for hob2's max window size.
+xrandr -s 1024x768
+
+# Default files to run if $HOME/.mini_x/session or /etc/mini_x/session
+# dont exist.
+
+matchbox-terminal&
+exec matchbox-window-manager
diff --git a/poky/meta/recipes-graphics/mini-x-session/mini-x-session_0.1.bb b/poky/meta/recipes-graphics/mini-x-session/mini-x-session_0.1.bb
new file mode 100644
index 000000000..4e89d631c
--- /dev/null
+++ b/poky/meta/recipes-graphics/mini-x-session/mini-x-session_0.1.bb
@@ -0,0 +1,27 @@
+SUMMARY = "Very simple session manager for X"
+HOMEPAGE = "http://www.yoctoproject.org"
+BUGTRACKER = "http://bugzilla.pokylinux.org"
+
+PR = "r4"
+
+LICENSE = "GPLv2"
+LIC_FILES_CHKSUM = "file://mini-x-session;endline=5;md5=b6430bffbcf05f9760e72938826b7487"
+
+SECTION = "x11"
+RCONFLICTS_${PN} = "matchbox-common"
+
+SRC_URI = "file://mini-x-session"
+S = "${WORKDIR}"
+
+RDEPENDS_${PN} = "sudo"
+
+inherit update-alternatives
+
+ALTERNATIVE_${PN} = "x-session-manager"
+ALTERNATIVE_TARGET[x-session-manager] = "${bindir}/mini-x-session"
+ALTERNATIVE_PRIORITY = "50"
+
+do_install() {
+ install -d ${D}/${bindir}
+ install -m 0755 ${S}/mini-x-session ${D}/${bindir}
+}